curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/me/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_password": "current-password",
"new_password": "new-secure-password-123",
"refresh_token": "optional-current-refresh-token"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/me/password"
payload = {
"current_password": "current-password",
"new_password": "new-secure-password-123",
"refresh_token": "optional-current-refresh-token"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
current_password: 'current-password',
new_password: 'new-secure-password-123',
refresh_token: 'optional-current-refresh-token'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/me/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ok": true
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Change current user password
Changes the authenticated owner user’s local password after verifying the current password. Social-only accounts without a local password return a stable business error.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
JSON payload used to change current user password.
Request payload for change password.
current password value for change password request.
1 - 1024new password value for change password request.
8 - 1024Optional current refresh token. When supplied, the password-change flow preserves this session and revokes the user's other refresh sessions. When omitted, all refresh sessions are revoked.
1 - 512Response
Password changed and refresh sessions hardened
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.